<%@page import="com.synametrics.syncrify.bean.CloudProviderBean"%>
<%@page import="com.synametrics.syncrify.bean.CloudBean"%>
<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>

    <div class="content-heading">
    	<%@ include file="ConfigButtons.jsp" %>
		<i class="fa fa-cloud"></i> Cloud Services
		<%@ include file="Breadcrumbs.jsp" %>
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>"> <!-- Mandatory Beginning -->
		
		
		
		<%
		String errorMsg = (String) request.getAttribute("errorMsg");
		if(errorMsg != null){
			%>
			<div class="alert alert-danger"><%= errorMsg %></div>
			<%
		}
		
		String infoMsg = (String) request.getAttribute("infoMsg");
		if(infoMsg != null){
			%>
			<div class="alert alert-success"><%= infoMsg %></div>
			<%
		}
		
		
		%>
		
			<div class="panel panel-primary">
				<div class="panel-heading">Add Provider</div>
				<div class="panel-body">
					<form class="form-horizontal" action="app" method="POST">
                           <div class="form-group">
                              <label class="col-lg-2 control-label">Provider</label>
                              <div class="col-lg-10">
                                 <select name="provider" id="provider" class="form-control" onchange="showHideParams();">
                                 	<option value="">-- Select Provider --</option>
                                 	<option value="<%=CloudBean.PROV_NAME_AWS%>"><%=CloudBean.PROV_NAME_AWS%></option>
                                 	<option value="<%=CloudBean.PROV_NAME_GSP%>"><%=CloudBean.PROV_NAME_GSP%></option>
                                 	<option value="<%=CloudBean.PROV_NAME_AZURE%>"><%=CloudBean.PROV_NAME_AZURE%></option>
                                 	<option value="<%=CloudBean.PROV_NAME_WASABI%>"><%=CloudBean.PROV_NAME_WASABI%></option>
                                 	<%
                                 	if(System.getProperty("allow.cifs.provider", "false").equals("true")){
                                 	%>
                                    <option value="<%=CloudBean.PROV_NAME_CIFS%>"><%=CloudBean.PROV_NAME_CIFS%></option>
                                    <%} %>
                                 </select>
                              </div>
                           </div>
                           
                           <div class="form-group">
                              <label class="col-lg-2 control-label">Friendly Name</label>
                              <div class="col-lg-10">
                                 <input type="text" name="friendlyName" class="form-control" placeholder="A name to identify this server" 
                                 title="A friendly name. You will NOT be able to change this value later on." required>
                              </div>
                           </div>
	                           
	                           
                           
                           
                           <div id="choose">
                           
                           </div>
                           
                           <div id="sel_aws" style="display:none;">
                          		<%@ include file="ConnParamsAWS.jsp" %>
                           </div>
                           
                           <div id="sel_gsp" style="display:none;">
                           		<%@ include file="ConnParamsGSP.jsp" %>
                           </div>
                           
                           <div id="sel_azure" style="display:none;">
	                           <%@ include file="ConnParamsAzure.jsp" %>
                           </div>
                           <div id="sel_cifs" style="display:none;">
	                           <%@ include file="ConnParamsCifs.jsp" %>
                           </div>
                           
                           <div id="sel_wasabi" style="display:none;">
	                           <%@ include file="ConnParamsWasabi.jsp" %>
                           </div>
                          
                           <div class="form-group">
                              <div class="col-lg-offset-2 col-lg-10">
                                 <button type="submit" class="btn btn-sm btn-default">Create</button>
                              </div>
                           </div>
                           
                           <input type="hidden" name="operation" value="cloud">
                           <input type="hidden" name="st" value="add">
                           
                        </form>
						<br><br>
				</div>
			</div>
			

			
		<%
		List<CloudProviderBean> existingProviders = (List<CloudProviderBean>) request.getAttribute("existingProviders");
	    if(existingProviders.size() > 0){
	    	%>
	    	
	    	
	    	
	    	<div class="panel panel-primary">
				<div class="panel-heading">Existing Services</div>
				<div class="panel-body">
				
				
			    	<table class="table table-bordered">
			    		<tr>
			    			<th>Friendly Name</th>
			    			<th>Provider</th>
			    			<th>Status</th>
			    			<th title="Number of profiles using this service">Usage Count</th>
			    			<th>Action</th>
			    		</tr>
			    		
			    		<%
			    		int index = 0;
			    		for(CloudProviderBean oneBean : existingProviders){
			    			%>
			    			<tr>
			    			<td><%= oneBean.getFriendlyName() %></td>
			    			<td><%= oneBean.getProviderName() %></td>
			    			<td><%
			    				if(oneBean.getStatus() == 1){
			    					%>
			    					<em class="fa fa-thumbs-up" style="color:green;"> </em> Up and Running
			    					<%
			    				}else if(oneBean.getStatus() == 2){
									%>
			    					<em class="fa fa-thumbs-down" style="color:red;"> </em> Unable to connect
			    					
			    					<span class="pull-right">
			    					
			    					<a href="<%=response.encodeURL("app?operation=cloud&st=test&idx=" + index) %>" title="Test again"><em class="fa fa-refresh" style="color:grey;"> </em> </a>
			    					</span>
			    					<%
			    				}else{
									%>
			    					<em class="fa fa-warning" style="color:grey;"> </em> 
			    					<a href="<%=response.encodeURL("app?operation=cloud&st=test&idx=" + index) %>">Test connection</a>
			    					<%
			    				}
			    			%></td>
			    			<td><%= oneBean.getUsageCount() %></td>
			    			<td>
			    				<em class="fa fa-edit"> </em><a href="<%=response.encodeURL("app?operation=cloud&st=modify&idx=" + index) %>" 
			    					title="Modify connection parameters" 
			    					onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"> Modify</a> |
			    				<em class="fa fa-trash"> </em><a href="<%=response.encodeURL("app?operation=cloud&st=delete&idx=" + index) %>" title="Remove this service"> Delete</a>
			    			</td>
			    			</tr>
			    			<%
			    			index++;
			    		}
			    		%>
			    	</table>
			    	
			    </div>
	    	</div>
	    	<%
	    }
		%>
				
		</div> <!-- Mandatory ending -->
		

		
<%@ include file="Footer.jsp" %>

<script>

function showHideParams() {
    if(document.getElementById('provider').value == "") {
        document.getElementById('choose').style.display = 'block';
        document.getElementById('sel_gsp').style.display = 'none';
        document.getElementById('sel_azure').style.display = 'none';
        document.getElementById('sel_cifs').style.display = 'none';
        document.getElementById('sel_aws').style.display = 'none';
        document.getElementById('sel_wasabi').style.display = 'none';
    } else if(document.getElementById('provider').value == "<%=CloudBean.PROV_NAME_AZURE%>") {
        document.getElementById('choose').style.display = 'none';
        document.getElementById('sel_gsp').style.display = 'none';
        document.getElementById('sel_azure').style.display = 'block';
        document.getElementById('sel_aws').style.display = 'none';
        document.getElementById('sel_cifs').style.display = 'none';
        document.getElementById('sel_wasabi').style.display = 'none';
    } else if(document.getElementById('provider').value == "<%=CloudBean.PROV_NAME_GSP%>") {
        document.getElementById('choose').style.display = 'none';
        document.getElementById('sel_gsp').style.display = 'block';
        document.getElementById('sel_azure').style.display = 'none';
        document.getElementById('sel_aws').style.display = 'none';
        document.getElementById('sel_cifs').style.display = 'none';
        document.getElementById('sel_wasabi').style.display = 'none';
    } else if(document.getElementById('provider').value == "<%=CloudBean.PROV_NAME_AWS%>") {
        document.getElementById('choose').style.display = 'none';
        document.getElementById('sel_gsp').style.display = 'none';
        document.getElementById('sel_azure').style.display = 'none';
        document.getElementById('sel_aws').style.display = 'block';
        document.getElementById('sel_cifs').style.display = 'none';
        document.getElementById('sel_wasabi').style.display = 'none';
    } else if(document.getElementById('provider').value == "<%=CloudBean.PROV_NAME_CIFS%>") {
        document.getElementById('choose').style.display = 'none';
        document.getElementById('sel_gsp').style.display = 'none';
        document.getElementById('sel_azure').style.display = 'none';
        document.getElementById('sel_aws').style.display = 'none';
        document.getElementById('sel_cifs').style.display = 'block';
        document.getElementById('sel_wasabi').style.display = 'none';
    } else if(document.getElementById('provider').value == "<%=CloudBean.PROV_NAME_WASABI%>") {
        document.getElementById('choose').style.display = 'none';
        document.getElementById('sel_gsp').style.display = 'none';
        document.getElementById('sel_azure').style.display = 'none';
        document.getElementById('sel_aws').style.display = 'none';
        document.getElementById('sel_cifs').style.display = 'none';
        document.getElementById('sel_wasabi').style.display = 'block';
    } else {
        
    }
}


    
</script>