<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>


<div class="content-heading">
   <%@ include file="ConfigButtons.jsp" %>
   <i class="fa fa-cogs"></i> Disaster Recovery
   <small data-localize="dashboard.Configuration"></small>
   <%@ include file="Breadcrumbs.jsp" %>
</div>
<div class="row">    
    
<%
if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-info"><%=request.getAttribute("infoMsg") %></div>
	<%
}





String errorMessage = (String) request.getAttribute("errorMessage");
if(errorMessage == null){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-default">
     <div class="panel-heading">Disaster Recovery</div>
     <div class="panel-body">
        <p>The disaster recovery features in Syncrify allow you to setup one or more servers that act as a backup. In case of a disaster, you can quickly replace the primary server with a backup server. </p>
     </div>
     <div class="panel-footer">Please <a href="http://web.synametrics.com/SyncrifyDR.htm" target="_blank">read this important information</a> before enabling this feature.</div>
  </div>
  <!-- END panel-->
</div>


<%
if(request.getAttribute("drSlave") != null && request.getAttribute("drSlave").toString().length() > 0){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-primary">
     <div class="panel-heading">This server is configured as slave. You won't be able to:</div>
     <div class="panel-body">
        <ul class="syn">
          <li>Run backups to this server</li>
          <li>Modify any configuration. Configuration will be replicated from the primary server</li>
       </ul>
     </div>
  </div>
  <!-- END panel-->
</div>
<%
}
%>


<!-- 
<br><br>
Following rules apply when using DR features in Syncrify:
<br><br>
<ul class="syn">
	<li>The operating system for primary and backup server must belong to the same family - meaning if primary server is Windows, the backup server cannot be on Linux. Using a different version of
	Windows is fine. For example, you can have the primary server on Windows 2008 and the backup on Windows 2003.</li>
	<li>The directory structure on the backup server must match with the primary server. For example, if you are using C:\Backup as the repository folder for users 
	on the primary server, the repository folder on the backup server must be the same</li>
	<li>Primary and backup server must be on a fast network.</li>
	<li>Clients cannot connect to run their backups to the backup server. However, client can connect to the backup server to restore files if required.</li>
</ul>
 -->
 
 
<%
}else{
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">ERROR</div>
     <div class="panel-body">
        <%=errorMessage %>
     </div>
  </div>
  <!-- END panel-->
</div>
<%	
}
%>

<script>
function toggleLayer(blockName, styleName){
    var style2
    if (document.getElementById){
        // this is the way the standards work
        style2 = document.getElementById(blockName).style;
    }else if (document.all){
        // this is the way old msie versions work
        style2 = document.all[blockName].style;
    }else if (document.layers){
        // this is the way nn4 works
        style2 = document.layers[blockName].style;
    }
    style2.display = styleName;
}


function showPrimary(){
   toggleLayer('existingServerList', 'block');
   toggleLayer('justSubmit', 'none');
}

function hidePrimary(){
   toggleLayer('existingServerList', 'none');
   toggleLayer('justSubmit', 'block');
   
}
</script>

<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div class="panel panel-default">
     <div class="panel-body">
        <form class="form-horizontal" action="<%=controllerPath%>" method="post">
            <fieldset>
            <legend>Server Role:</legend> 
                <div class="notes">
                    <h4>Glossary</h4>
                    <p><b>Master - </b>used by Syncrify client to backup.</p>
                    <p><b>Slave - </b>Data from master is replicated to slave</p>
                </div>
            <div class="form-group">
               <div class="col-sm-12">
                  <label for="drDisabled" class="radio-inline c-radio">
                     <input type="radio" name="drType" id="drDisabled" value="0" onclick="hidePrimary();" <%=request.getAttribute("drDisabled") %> />
                     <span class="fa fa-check"></span>Disabled</label>
                  <label for="drSlave" class="radio-inline c-radio">
                     <input type="radio" name="drType" id="drSlave" class="inputRadio" value="1"  onclick="hidePrimary();"  <%=request.getAttribute("drSlave") %> />
                     <span class="fa fa-check"></span>DR-Slave.</label>
                  <label for="drMaster" class="radio-inline c-radio">
                     <input type="radio" name="drType" id="drMaster" value="2" onclick="showPrimary();"  <%=request.getAttribute("drMaster") %> />
                     <span class="fa fa-check"></span>DR-Master.</label>
               </div>
            </div>
            </fieldset>
            <div id="existingServerList">
            <fieldset>
            <legend>Add a slave server</legend>     
            <div class="form-group">
               <label for="aNewServer" class="col-sm-3 control-label">Host name: *</label>
               <div class="col-sm-9">
                  <input type="text" name="aNewServer" id="aNewServer" size="40" maxlength="200" value=""  class="form-control">
                  <span class="help-block m-b-none">Example - http://192.168.1.30:5800</span>
               </div>
            </div>
            <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <button type="submit" class="btn btn-sm btn-primary">Add/Save</button>
              </div>
           </div>    
            </fieldset>
            <%
            List<String> slaveList = (List<String>) request.getAttribute("slaveList");
            boolean showExisting = slaveList.size() > 0;
            boolean showHiddenDiv = request.getAttribute("drMaster").toString().length() > 0;
            if(showExisting){
            %> 
            <div>Following is a list of servers that are currently configured as backup servers.
            <span class="pull-right"><a href="<%=response.encodeURL("app?operation=drsc&st=daj") %>" class="btn btn-info">View Active Jobs</a></span>
            </div>
            <div class="table-responsive">
               <table class="table table-hover">
                  <thead>
                     <tr>
                       <th>Host name</th>
                       <th>Action</th>
                       <th>Status</th>
                     </tr>
                  </thead>
                  <tbody>
                     <%
                    for(int i = 0; i < slaveList.size(); i++){
                        String oneSlave = slaveList.get(i);
                        %>
                        <tr>
                            <td><a href="<%=oneSlave %>"><%=oneSlave %></a></td>
                            
                            <td>
                            	<a class="label label-danger" href="<%=response.encodeURL("app?operation=drsc&st=r&i=" + i) %>" title="Remove this Slave">Remove</a>
                            	<a class="label label-info" href="<%=response.encodeURL("app?operation=drsc&st=bc") %>" title="Manually synchronize configuration">Sync Config</a>
                            </td>
                            <td><span id="sstat<%= i %>">Checking Status...</span>
                            
                            </td>
                        </tr>
                        <%
                    }		
                    %>
                  </tbody>
               </table>
            </div>
            <%
            }
            %>
            </div>    
           <div class="form-group" id="justSubmit">
              <div class="col-lg-offset-0 col-lg-12">
                 <button type="submit" class="btn btn-sm btn-primary">Save</button>
              </div>
           </div>
            <input type="hidden" name="operation" value="drsc" >
            <input type="hidden" name="st" value="save" >    
        </form>
     </div>
  </div>
  <!-- END panel-->
</div>    

<script>
<%
if(showHiddenDiv){
	%>
	showPrimary();
	<%
}else{
	%>
	hidePrimary();
	<%
}
%>



$(function(){
	<%
	for(int i = 0; i < slaveList.size(); i++){
		%>
		$("#sstat<%=i%>").load("app?operation=drsc&st=st&i=<%=i%>");
		<%
	}
	%>
});

</script>



<%@ include file="Footer.jsp" %>