<%@ include file="Header.jsp" %>
<div class="content-heading">
   <i class="fa fa-wrench"></i> Discovery Wizard 
</div>
<div class="row">
	<div class="<%=mainBodyColClass%>">
		<div class="panel panel-default">
            <div class="panel-heading">Host Discovery</div>
			<div class="panel-body">
            <p><b>Host Discovery</b> is a free service provided by Synametrics allowing users on the Internet to find and connect to Syncrify running on this machine. </p>
            <p>It allows you to choose a one-word name for your computer, which becomes part of your domain name.</p>
            <p>For example, if you choose <b>"myHome"</b> as this word, users on the Internet will be able to type 
            <b>"http://myHome.syncrify.com"</b> and to connect to your machine.</p>
            <p>This service is only useful if you are running Syncrify in your home or any other location that uses a dynamic IP address.</p>

            <%
            String msg = (String) request.getAttribute("msg");

            if(msg != null){
                %>
                <div role="alert" class="alert alert-info"><%=msg %></div>
                <%
            }

            boolean discoveryIsEnabled = request.getAttribute("discoveryEnabled").toString().length() > 0;

            if(discoveryIsEnabled){
                %>
                <div role="alert" class="alert alert-info">
                Discovery lookup is enabled on this machine. You should be able to access this Syncrify server by 
                typing <b>http://<%=request.getAttribute("discoverySubDomain") %>.syncrify.com</b> from any machine
                connected to the Internet.
                </div>
                <%
            } 
            %>

            <form action="<%=controllerPath%>" method="post" class="form-horizontal">

                <fieldset>
                    <div class="checkbox c-checkbox">
                      <label for="discoveryEnabled">
                         <input type="checkbox" name="discoveryEnabled" id="discoveryEnabled" value="1" <%= request.getAttribute("discoveryEnabled") %> />
                         <span class="fa fa-check"></span>Enabled</label>
                        <div class="help-block m-b-none">Host Discovery is enabled when checked.</div>
                   </div>
                   <div class="form-group">
                      <label class="col-lg-3 control-label">Sub-Domain:</label>
                      <div class="col-lg-9">
                         <input type="text" name="discoverySubDomain" placeholder="Sub-Domain" class="form-control" id="discoverySubDomain" size="15" maxlength="30" value="<%=request.getAttribute("discoverySubDomain") %>"  <%= discoveryIsEnabled ? "readonly" : "" %>>
                          <span class="help-block m-b-none">A one-word value for sub-domain. For example: RobinsHome. <br><b>Important:</b> This value cannot be modified once set.</span>
                      </div>
                   </div>
                    <div class="form-group">
                      <label class="col-lg-3 control-label">TCP/IP Port:</label>
                      <div class="col-lg-9">
                         <select name="discoveryPort" id="discoveryPort" class="form-control">
                              <option value="0" <%= request.getAttribute("discoveryPort").equals("0") ? "selected" : "" %> >Primary HTTP</option>
                              <option value="1" <%= request.getAttribute("discoveryPort").equals("1") ? "selected" : "" %> >Secondary HTTP</option>
                            </select>
                          <span class="help-block m-b-none">Select the port you wish to connect to</span>
                      </div>
                   </div>
                </fieldset>

                <fieldset>
                    <div class="form-group">
                      <div class="col-lg-offset-3 col-lg-9">
                         <button type="submit" class="btn btn-sm btn-primary">Save &raquo;</button>
                      </div>
                   </div>
                </fieldset>

                <input type="hidden" name="operation" value="discovery">
                <input type="hidden" name="st" value="save">

            </form>

            </div>
        </div>
    </div>

<%@ include file="Footer.jsp" %>