<%@ include file="Header.jsp" %>
	<div class="content-heading">
		<i class="fa fa-user"></i>Importing SSL certificate from <span style="text-transform:uppercase">IIS</span> server
		<small data-localize="dashboard.UserManagement"></small>
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-default">
				<div class="panel-heading">Prerequisites</div>
				<div class="panel-body">


					<div class="indented">
						Certificates are issued for specific domain names. For example: if users access your IIS server using a URL like
						<codestyle="font-weight: bold">http://www.YourCompany.com</code>, the URL for accessing Syncrify must be like
							<code style="font-weight: bold">http://www.YourCompany.com:5800</code>

							<center>
								<span style="font-size: 1.9em; font-weight: bold">OR</span>
							</center>

							You use a wildcard certificate allowing multiple sub-domains. This way you can use a URL like:
							<code style="font-weight: bold">http://downloads.YourCompany.com</code>

					</div>
					<br>

					<fieldset>
							<legend>Steps</legend>

							<div class="indented">

								<form action="app?operation=impcert&st=save" method="post" enctype="multipart/form-data">
									<ul class="syn">
										<li>First, export the certificate that is being used on IIS.
											<a href="http://www.microsoft.com/technet/prodtechnol/WindowsServer2003/Library/IIS/2cfeeba2-511f-47e8-913c-f196b74e6a44.mspx?mfr=true" target="_blank">Click here</a> for instructions. This will result in a *.pfx file.<br><br></li>


										<li><br>
											<div class="form-group">
												<label>Type the password you used to export this certificate</label>
												<input type="text" name="certPass" value="" class="form-control">
												
											</div>	
										</li>

										<li><br>
											<div class="form-group">
													<label>Select the exported *.pfx file</label>
													<!-- <input type="file" name="certFile" size="40" > -->

													<input type="file" size="40" id="certFile" name="certFile" class="form-control filestyle"  style="position: absolute; clip: rect(0px 0px 0px 0px);">
													<div class="bootstrap-filestyle input-group">
														<input type="text" class="form-control " placeholder="" disabled="">
														 <span class="group-span-filestyle input-group-btn" tabindex="0">
															 <label for="certFile" class="btn btn-default ">
																 <span class="icon-span-filestyle glyphicon glyphicon-folder-open"></span>
																 <span class="buttonText">Choose file</span>
															</label>
														</span>
													</div>
											</div>
											
											
										</li>


									</ul>
							</div>
							</fieldset>
						<center>
							<input class="btn btn-primary" type="submit" value="Proceed" class="dialogButton">
						</center>
					</form>
					
				</div>
			</div>
		</div>




		<%@ include file="Footer.jsp" %>