<%@ include file="Header.jsp" %>

<div class="content-heading">
	<i class="fa fa-user"></i>Restoring Profile
	<small data-localize="dashboard.UserManagement"></small>
	<%@ include file="Breadcrumbs.jsp" %>
</div>
<div class="row">
	<div class="<%=mainBodyColClass%>">
		<div class="panel panel-default">
			<div class="panel-heading">How it works</div>
			<div class="panel-body">

				<%
String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	%>
					<br>
						<br>
							<div class="alert alert-danger"><%=infoMessage %></div>
						<%
}
%>
						<div class="row">
							<div class="col-md-8">

								<ol>
									<li>Files will be restored to a local path on the machine where Syncrify Server is running.</li>
									<li>If
										<b>Rollback days</b>
										is greater than 0, the appropriate version will be restored</li>
									<li>Files will be decrypted automatically, provided files are encrypted and you know the password. If you leave the password field blank, you must manually decrypt files using Syncrify Client.</li>
								</ol>
							</div>
							<div class="col-md-4">
								<img class="img-responsive" src="images/ManualRestore.png"></div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading">Restore Parameters</div>
						<div class="panel-body">
							<form action="<%=controllerPath%>" method="post">
								<fieldset>
									<div class="form-group">
										<label class="col-sm-2 control-label" for="lpath">Local path:</label>
										<div class="col-sm-10">
											<input class="form-control" type="text" name="lpath" id="lpath" class="inputText" maxlength="255" value="<%= request.getParameter("lpath") == null ? "" : request.getParameter("lpath") %>" placeholder="<%= request.getAttribute("egPath") %>" required/>
											<span class="help-block m-b-none">Absolute path where data will be restored. This must refer to a valid path on the machine where Syncrify Server is running.</span>
										</div>
									</div>
								</fieldset>

								<fieldset>
									<div class="form-group">
										<label class="col-sm-2 control-label" for="selfilter">Selection Filter:</label>
										<div class="col-sm-10">
											<input class="form-control" type="text" name="selfilter" id="selfilter" class="inputText" value="<%= request.getParameter("selfilter") == null ? "" : request.getParameter("selfilter") %>" 
											placeholder="For example, use {*.jpg|*.png|*.gif|*.bmp'} to restore images"/>
											<span class="help-block m-b-none">A filter to restrict file types. <a href="http://web.synametrics.com/SyncrifySelFitler.htm#rules" target="_blank">Click here</a> 
											for rules.</span>
										</div>
									</div>
								</fieldset>
								
								
								<fieldset>
									<div class="form-group">
										<label class="col-sm-2 control-label" for="rdays">Rollback days</label>
										<div class="col-sm-10">
											<input class="form-control" type="number" name="rdays" id="rdays" class="inputText" value="0"/>
											<span class="help-block m-b-none">Number of days to go back when restoring. Specifying a 0 will restore the latest version of every file</span>
										</div>
									</div>

								</fieldset>

								<%
							if(request.getAttribute("encrypted").equals("true")){
							%>
									<fieldset>
										<div class="form-group">
											<label class="col-sm-2 control-label" for="encpass">Encryption Password:</label>
											<div class="col-sm-10">
												<input class="form-control" type="password" name="encpass" id="encpass" class="inputText"/>
												<span class="help-block m-b-none">Password used to encrypt data. If this value is missing, you must use Syncrify Client to decrypt files.</span>
											</div>
										</div>
									</fieldset>
								<%
							}
							%>

							<%
							if(request.getAttribute("retained").equals("true")){
							%>
									<fieldset>
										<div class="form-group">
											<label class="col-sm-2 control-label">Restore Deleted</label>
											<div class="col-sm-10">
												<label class="checkbox-inline c-checkbox" for="restoreDeleted">
													<input type="checkbox" name="restoreDeleted" id="restoreDeleted" class="inputCheckbox" value="1"/>
													<span class="fa fa-check"></span>
												</label>
												<span class="help-block m-b-none">Check this box if you would like to restore files that were deleted from the client's machine but are retained on the server.</span>
											</div>
										</div>
									</fieldset>

								<%
							}
							%>

								<fieldset>
									<div class="submit">
										<div>
											<input type="submit" class="btn btn-sm btn-primary" value="Restore &raquo;"/>
										</div>
									</div>
								</fieldset>

								<input type="hidden" name="operation" value="manageUsers" />
								<input type="hidden" name="st" value="restore">
								<input type="hidden" name="email" value="<%= request.getParameter("email")%>" />
								<input type="hidden" name="profileName" value="<%= request.getParameter("profileName")%>" />
								
								</form>
								</div>
							</div>
						</div>

								<%@ include file="Footer.jsp" %>
