

<%
if(request.getAttribute("drawUG") != null){
	
%>

<div>
	<canvas id="dataUsage" style="max-height: 300px;"></canvas>
</div>

<script>

	//Chart.register(ChartDataLabels);
	
	var jBarctx = document.getElementById('dataUsage').getContext('2d');
	
	var greenGradient = jBarctx.createLinearGradient(0, 0, 0, 400);
    greenGradient.addColorStop(0, 'rgba(84,134,63,1)');    //91ABC9
    greenGradient.addColorStop(1, 'rgba(63,100,47,0)');
    
    //dugLabels
    //'userA@yourcompany.com', 'userB@yourcompany.com'
    
    //dugNonVersioned
    //50, 300
    
    //dugVersioned
    //105, 340
    
    //dugDelta
    //205, 440
    
    
	function createGraph(){
		
    	if (typeof Chart === 'undefined') return;
    	
    	//Network Chart Data
        var jobChartData = {
            labels: [
                <%= request.getAttribute("dugLabels") %>
            ],
            datasets: [{
                label: "Non-versioned",
                backgroundColor: '#283655',
                borderColor: '#283655',
                borderWidth: 1,
                data: [<%= request.getAttribute("dugNonVersioned") %>],
                fill: false,
            
            }, {
                label: "Versioned",
                backgroundColor: '#4d648d',
                borderColor: '#4d648d',
                data: [<%= request.getAttribute("dugVersioned") %>],
                fill: false,
            }, {
                label: "Delta",
                backgroundColor: '#d0e1f9',
                borderColor: '#d0e1f9',
                data: [<%= request.getAttribute("dugDelta") %>],
                fill: false,
            }
            ],
        };
    	
    	
    
        var jbarOptions = {
                legend: {
                    display: true
                },
                responsive: true,
                title: {
                    display: false,
                    text: ''
                },
                tooltips:{
                    mode: 'index',
                    intersect: true
                },
                hover: {
                    mode: 'nearest',
                    intersect: true
                },
                scales: {
                    
                    x: {
                        stacked: true,
                    },
                    y: {
                        stacked: true,
                        ticks:{
                        	callback: function(value, index, ticks){
                        		return value + ' MB';
                        	}
                        }
                    }
                }
                //,
                //plugins: {
                //     datalabels: {
                //    	 formatter: function(value, context) {
                //    		  return value + ' MB';
                //    		}	 
				//	
				//
                //     }
                //}
                  
            };
        
        
        
        
        
        ioNetworkChart = new Chart(jBarctx, {
            data: jobChartData,
            type: 'bar',
            options: jbarOptions
        });
        


    }
    
	
	(function(window, document, $, undefined) {    
        $(function(){
            createGraph();
        });
    })(window, document, window.jQuery);
 
</script>

<br><br>


<div class="row">
	<div class="col-md-6">
		<!-- START panel-->
        <div id="panelDemo11" class="panel panel-default">
           
           <div class="panel-body">
           
           	<dl class="dl-horizontal">
			   <dt>Non-Versioned:</dt>
			   <dd>Disk space consumed by files that do not have any versions</dd>
			   <dt>Versioned:</dt>
			   <dd>Disk space consumed by files with versions</dd>
			   <dt>Delta:</dt>
			   <dd>Disk space consumed by multiple versions that are saved as <b>delta</b></dd>
			</dl>
			
           </div>
 		  <div class="panel-footer"><b>Note: </b> The sum of each category represents total disk space used.</div>
			
        </div>
        <!-- END panel-->
	</div>
	
	<div class="col-md-3 col-md-offset-3">
	
		<!-- START panel-->
        <div id="panelDemo11" class="panel panel-warning">
           <div class="panel-heading"><i class="fa fa-database"></i>  Disk Savings</div>
           <div class="panel-body">
           	<p> <b><%= request.getAttribute("savingsDueToDelta") %></b> of disk space were saved by storing older versions of files as delta.</p>
           	
           </div>
 			<div class="panel-footer"><a href="https://web.synametrics.com/syncrify-delta-disk-savings.htm" target="_blank">Click here</a> for more information.</div>
        </div>
        <!-- END panel-->
	</div>
	
	
</div>


 
 
<%
}
%>

